summarylogtreecommitdiffstats
path: root/nifi.install
diff options
context:
space:
mode:
Diffstat (limited to 'nifi.install')
-rw-r--r--nifi.install10
1 files changed, 10 insertions, 0 deletions
diff --git a/nifi.install b/nifi.install
new file mode 100644
index 00000000000..4bc8ad1ff47
--- /dev/null
+++ b/nifi.install
@@ -0,0 +1,10 @@
+post_install() {
+ if ! getent passwd nifi > /dev/null; then
+ useradd -M -c 'nifi user' -s /usr/bin/nologin nifi
+ passwd -l nifi > /dev/null
+ fi
+
+ chown -R nifi:nifi /opt/nifi
+
+ echo "==> Installed nifi user"
+} \ No newline at end of file